Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraft.client.settings
Enum EnumOptions

    java.lang.Object
      java.lang.Enum<EnumOptions>
          net.minecraft.client.settings.EnumOptions

All Implemented Interfaces:
  Serializable, Comparable<EnumOptions>

    public enum EnumOptions

extends Enum<EnumOptions>

Enum Constant Summary
`ADVANCED_OPENGL`
`AMBIENT_OCCLUSION`
`ANAGLYPH`
`CHAT_COLOR`
`CHAT_LINKS`
`CHAT_LINKS_PROMPT`
`CHAT_OPACITY`
`CHAT_VISIBILITY`
`DIFFICULTY`
`ENABLE_VSYNC`
`FOV`
`FRAMERATE_LIMIT`
`GAMMA`
`GRAPHICS`
`GUI_SCALE`
`INVERT_MOUSE`
`MUSIC`
`PARTICLES`
`RENDER_CLOUDS`
`RENDER_DISTANCE`
`SENSITIVITY`
`SHOW_CAPE`
`SNOOPER_ENABLED`
`SOUND`
`TOUCHSCREEN`
`USE_FULLSCREEN`
`USE_SERVER_TEXTURES`
`VIEW_BOBBING`

Method Summary
`boolean` | `getEnumBoolean()`
`boolean` | `getEnumFloat()`
`static EnumOptions` | `getEnumOptions(int par0)`
`String` | `getEnumString()`
`int` | `returnEnumOrdinal()`
`static EnumOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnumOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MUSIC

    public static final EnumOptions MUSIC

### SOUND

    public static final EnumOptions SOUND

### INVERT_MOUSE

    public static final EnumOptions INVERT_MOUSE

### SENSITIVITY

    public static final EnumOptions SENSITIVITY

### FOV

    public static final EnumOptions FOV

### GAMMA

    public static final EnumOptions GAMMA

### RENDER_DISTANCE

    public static final EnumOptions RENDER_DISTANCE

### VIEW_BOBBING

    public static final EnumOptions VIEW_BOBBING

### ANAGLYPH

    public static final EnumOptions ANAGLYPH

### ADVANCED_OPENGL

    public static final EnumOptions ADVANCED_OPENGL

### FRAMERATE_LIMIT

    public static final EnumOptions FRAMERATE_LIMIT

### DIFFICULTY

    public static final EnumOptions DIFFICULTY

### GRAPHICS

    public static final EnumOptions GRAPHICS

### AMBIENT_OCCLUSION

    public static final EnumOptions AMBIENT_OCCLUSION

### GUI_SCALE

    public static final EnumOptions GUI_SCALE

### RENDER_CLOUDS

    public static final EnumOptions RENDER_CLOUDS

### PARTICLES

    public static final EnumOptions PARTICLES

### CHAT_VISIBILITY

    public static final EnumOptions CHAT_VISIBILITY

### CHAT_COLOR

    public static final EnumOptions CHAT_COLOR

### CHAT_LINKS

    public static final EnumOptions CHAT_LINKS

### CHAT_OPACITY

    public static final EnumOptions CHAT_OPACITY

### CHAT_LINKS_PROMPT

    public static final EnumOptions CHAT_LINKS_PROMPT

### USE_SERVER_TEXTURES

    public static final EnumOptions USE_SERVER_TEXTURES

### SNOOPER_ENABLED

    public static final EnumOptions SNOOPER_ENABLED

### USE_FULLSCREEN

    public static final EnumOptions USE_FULLSCREEN

### ENABLE_VSYNC

    public static final EnumOptions ENABLE_VSYNC

### SHOW_CAPE

    public static final EnumOptions SHOW_CAPE

### TOUCHSCREEN

    public static final EnumOptions TOUCHSCREEN

Method Detail

### values

    public static EnumOptions[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnumOptions c : EnumOptions.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnumOptions valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getEnumOptions

    public static EnumOptions getEnumOptions(int par0)

### getEnumFloat

    public boolean getEnumFloat()

### getEnumBoolean

    public boolean getEnumBoolean()

### returnEnumOrdinal

    public int returnEnumOrdinal()

### getEnumString

    public String getEnumString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD